using Newtonsoft.Json;

namespace OF_DL.Models.Dtos.Highlights;

public class HighlightMediaDto
{
    [JsonProperty("id")] public long Id { get; set; }

    [JsonProperty("userId")] public long UserId { get; set; }

    [JsonProperty("title")] public string Title { get; set; } = "";

    [JsonProperty("coverStoryId")] public long CoverStoryId { get; set; }

    [JsonProperty("cover")] public string Cover { get; set; } = "";

    [JsonProperty("storiesCount")] public int StoriesCount { get; set; }

    [JsonProperty("createdAt")] public DateTime? CreatedAt { get; set; }

    [JsonProperty("stories")] public List<StoryDto> Stories { get; set; } = [];
}
